EDIT - task #578

@Ilgnore removed from PersistentTerminitializerTest
02/05/2009 11:57 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Hi Ben,

Yes probably you right. | didn't really go into the PersistentTerminitializerTest problem but tried it within eclipse with the new
override.properties and it worked whereas in maven it doesn't

Caused by: java.lang.ClassCastException: org.hibernate.collection.PersistentSet cannot be cast to java.util.SortedSet

at eu.etaxonomy.cdm.model.common.OrderedTermVocabulary.addTerm (OrderedTermVocabulary. java:154)

at eu.etaxonomy.cdm.model.common.OrderedTermVocabulary.addTerm(OrderedTermVocabulary. java:1l)

at eu.etaxonomy.cdm.database.PersistentTermInitializer.firstPass (PersistentTermInitializer. java:
141)

at eu.etaxonomy.cdm.database.PersistentTermInitializer.initialize (PersistentTermInitializer. java
:87)
| will leave the test as @Ignored for now.
Cheers,
Andreas
----UrsprAvangliche Nachricht-----
Von: Ben Clark B.Clark@kew.org
Gesendet: Donnerstag, 5. Februar 2009 11:07

An: 'dev-cdmlib@mnhn.fr'

Betreff: RE: [dev-cdmlib] | want to commit some major changes to cdmlib term loading, please could you confirm that this is ok?
Hi Andreas,
For PersistentTerminitializerTest | had to create a new override.properties because for this test it looks like > we need term

initializing. Or do | think the wrong way here?

I'm not sure what to do about PersistentTerminitializerTest, really, as running it side-by-side with the other tests (which use testing
term initializer) results in some issues. | think disabling it using override.properties simply checks against the terms initialized by
TestingTermlinitializer, not actually testing the PersistentTerminitializer at all.

| just @Ignore -ed it, not a perfect solution, but the whole term initialization scenario is quite complex and | couldn't think of a better
idea. Running the other tests properly is more of a priority, | think.

Cheers,
History

#1 - 09/02/2009 06:29 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from Priority11 to Priority09

#2 - 10/15/2009 02:20 AM - Andreas Miiller
- Target version changed from CDM lib Release 2.0 to CDM lib Release 2.3

#3 - 07/02/2021 11:23 PM - Andreas Miiller
- Description updated

- Priority changed from Priority09 to Priority14

The test is still on ignore.

#4 - 09/17/2021 05:41 PM - Andreas Miuller

- Target version changed from cdmlib - Old Next Major Release to Unassigned CDM tickets

#5 - 09/17/2021 05:42 PM - Andreas Miuller

- Private changed from Yes to No
